Page MenuHomePhabricator

decommission db1076.eqiad.wmnet
Open, MediumPublicRequest

Description

This task will track the decommission-hardware of server db1076.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1076

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. (likely done by script)
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal, and run homer.
  • - remove all remaining puppet references and all host entries in the puppet repo
  • - reassign task from service owner to DC ops team member depending on site of server.

End service owner steps / Begin DC-Ops team steps:

  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

Event Timeline

Marostegui changed the task status from Open to Stalled.Feb 21 2021, 4:15 PM

The replacement for this host, db1162, crashed so let's not depool this one for now: T275309

Let's wait for another week before accepting that db1162 is ok, and then we can proceed

Mentioned in SAL (#wikimedia-operations) [2021-04-06T06:15:01Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1076 for decommission T274752', diff saved to https://phabricator.wikimedia.org/P15154 and previous config saved to /var/cache/conftool/dbconfig/20210406-061500-marostegui.json

Marostegui changed the task status from Stalled to Open.Tue, Apr 6, 6:15 AM

Change 677085 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1076: Disable notifications

https://gerrit.wikimedia.org/r/677085

Change 677085 merged by Marostegui:

[operations/puppet@production] db1076: Disable notifications

https://gerrit.wikimedia.org/r/677085

Marostegui moved this task from Blocked to In progress on the DBA board.

I will fully decommission this host on Tuesday. No point in decommissioning it today before a long weekend, just in case.

Change 678818 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Remove db1076 from dbctl

https://gerrit.wikimedia.org/r/678818

Change 678818 merged by Marostegui:

[operations/puppet@production] instances.yaml: Remove db1076 from dbctl

https://gerrit.wikimedia.org/r/678818

Mentioned in SAL (#wikimedia-operations) [2021-04-13T12:21:19Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1076 from dbctl T274752', diff saved to https://phabricator.wikimedia.org/P15291 and previous config saved to /var/cache/conftool/dbconfig/20210413-122119-marostegui.json

Change 679138 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Decommission db1076

https://gerrit.wikimedia.org/r/679138

cookbooks.sre.hosts.decommission executed by root@cumin1001 for hosts: db1076.eqiad.wmnet

  • db1076.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Marostegui updated the task description. (Show Details)
Marostegui edited projects, added DC-Ops, ops-eqiad; removed DBA.

Change 679138 merged by Marostegui:

[operations/puppet@production] mariadb: Decommission db1076

https://gerrit.wikimedia.org/r/679138